"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const palette_1 = __importDefault(require("../style/palette"));
exports.default = {
    colors: Object.assign(Object.assign({}, palette_1.default), { active: {
            color: palette_1.default.pink['600'],
            background: palette_1.default.pink['100'],
            border: palette_1.default.pink['200'],
        }, focus: {
            color: '#fff',
            border: palette_1.default.teal['300'],
            background: palette_1.default.teal['200'],
        }, calendar: {
            line: {
                border: palette_1.default.gray['200'],
            },
            day: {
                color: palette_1.default.gray['500'],
            },
            date: {
                color: palette_1.default.gray['600'],
            },
            otherMonth: {
                color: palette_1.default.gray['400'],
            },
            selected: {
                color: palette_1.default.purple['400'],
                border: palette_1.default.purple['200'],
                background: palette_1.default.purple['100'],
            },
        }, field: {
            input: {
                border: palette_1.default.gray['300'],
                background: '#fff',
            },
            label: {
                color: palette_1.default.gray['500'],
                background: '#fff',
            },
            disabled: {
                color: palette_1.default.gray['300'],
            },
            icon: {
                color: palette_1.default.gray['500'],
            },
            radioButton: {
                active: {
                    color: '#000',
                    background: palette_1.default.purple['200'],
                    border: palette_1.default.purple['300'],
                },
            },
            info: {
                border: palette_1.default.azure['500'],
            },
            success: {
                border: palette_1.default.submarine['500'],
            },
            warning: {
                border: palette_1.default.tangerine['500'],
            },
            error: {
                border: palette_1.default.cerise['500'],
            },
        }, humanVerify: {
            no: {
                backgroud: palette_1.default.cerise['500'],
            },
            yes: {
                backgroud: palette_1.default.submarine['500'],
            },
        }, list: {
            item: {
                border: palette_1.default.gray['100'],
            },
        }, message: {
            none: {
                color: palette_1.default.gray['400'],
                border: palette_1.default.gray['200'],
                background: palette_1.default.gray['100'],
            },
            info: {
                color: palette_1.default.azure['400'],
                border: palette_1.default.azure['200'],
                background: palette_1.default.azure['100'],
            },
            success: {
                color: palette_1.default.submarine['400'],
                border: palette_1.default.submarine['200'],
                background: palette_1.default.submarine['100'],
            },
            warning: {
                color: palette_1.default.tangerine['400'],
                border: palette_1.default.tangerine['200'],
                background: palette_1.default.tangerine['100'],
            },
            error: {
                color: palette_1.default.cerise['400'],
                border: palette_1.default.cerise['200'],
                background: palette_1.default.cerise['100'],
            },
        }, navigation: {
            logo: {
                color: '#000',
            },
            top: {
                color: '#000',
                background: palette_1.default.azure['300'],
                border: palette_1.default.azure['400'],
                active: {
                    background: palette_1.default.azure['200'],
                    color: '#000',
                },
            },
            side: {
                color: '#000',
                background: palette_1.default.saffron['300'],
                border: palette_1.default.saffron['400'],
                active: {
                    background: palette_1.default.saffron['200'],
                    color: '#000',
                },
                toggler: {
                    color: '#000',
                },
            },
        }, modal: {
            title: {
                color: '#000',
                background: palette_1.default.azure['200'],
                border: palette_1.default.azure['300'],
            },
        }, table: {
            head: {
                background: palette_1.default.purple['400'],
            },
            nth: {
                background: palette_1.default.gray['50'],
            },
        } }),
};
